<?php
/*
Plugin Name: Spam-free Form
Plugin URI: https://www.willmaster.com/software/WPplugins/
Description: Insert a Spam-free Form with a shortcode.
Version: 1.0
Date: 19 November 2018
Author: Will Bontrager Software, LLC <will@willmaster.com>
Author URI: https://www.willmaster.com/contact.php
*/

/*
	Copyright 2018 Will Bontrager Software LLC (email: will@willmaster.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation. A copy of the license is at
	https://www.gnu.org/licenses/old-licenses/gpl-2.0.html

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
*/

/*
Note: This plugin requires WordPress version 4.9.8 or higher.

Tested up to WP version 4.9.8

Information about the Spam-free Form plugin can be found here:
https://spamfreeform.com/plugin.php

Links to instructions for using the Spam-free Form plugin can be found here:
https://spamfreeform.com/plugin.php
*/

if( ! function_exists('will_bontrager_spam_free_form') )
{
	function will_bontrager_spam_free_form($atts,$content=null,$code="")
	{
		$code = $atts['code'];
		$response = wp_remote_get("https://spamfreeform.com/sff/sff_info.php?$code");
		if( is_wp_error($response) )
		{
			$error_string = $response->get_error_message();
			return "WordPress error: $error_string";
		}
		if( empty($response['body']) and empty($response['response']['code']) ) { return "Unable to obtain the form"; }
		if( $response['response']['code']!=200 ) { return "Unable to obtain the form<br>{$response['response']['code']} - {$response['response']['message']}"; }
		return "<script type='text/javascript'>{$response['body']}</script>";
	} # function will_bontrager_spam_free_form()
	add_shortcode('SpamFreeForm','will_bontrager_spam_free_form');
    add_shortcode('spamfreeform','will_bontrager_spam_free_form');
} # if( ! function_exists('will_bontrager_spam_free_form') )

?>
